---
- entityDefinitions:
  - IDC_DerivedElementContent: '{6c0b11ff-fea0-4376-a58a-e993fddd2f39}'
  
- library: '&IDL_MochaBaseSystem;'
  instances:
  - class:      '&IDC_DerivedElementContent;'
    name:      Derived Element Content
    index:     922
    customTagName: 'derivedElementContent'
    registerForTemplate: yes
    defaultTask: '&IDI_Task_ViewElementContent;'
    superclasses:
    - instance: '&IDC_ElementContent;'
    instancesLabeledByRAMB: '&IDMB_Element_Content__get__Fully_Qualified_Name;'
    relatedTasks:
    - instance: '&IDI_Task_ViewElementContent;'
    - instance: '&IDI_Task_EditElementContent;'
    relationships:
    - instance: '&IDR_Element_Content__has__Instance;'
      customTagName: 'defaultDataType'
    - instance: '&IDR_Element_Content__has__Element_Content_Display_Option;'
      customTagName: 'displayOptions'
    - instance: '&IDR_Element_Content__has__Layout;'
      customTagName: 'layout'
    - instance: '&IDR_Element_Content__built_from__BEM_Process;'
      customTagName: 'builtFromBEMProcess'
      customTagNameCreatesInstanceOf: '&IDC_BEMProcess;'
    - instance: '&IDR_Derived_Element_Content__update_with__Executable_returning_Work_Data;'
      customTagName: 'value'
    - instance: '&IDR_Element_Content__has__EC_Dynamic_Display_Option;'
      customTagName: 'dynamicDisplayOptions'
      customTagNameCreatesInstanceOf: '&IDC_ECDynamicDisplayOption;'
    - instance: '&IDR_Element_Content__has__Parameter_Assignment;'
      customTagName: 'parameterAssignments'
      customTagNameCreatesInstanceOf: '&IDC_ParameterAssignment;'
      